Subject: Re: Lock-up on PPC64

From: Geoff Levand <[email-masked]>
Date: Mon, 23 Feb 2009 08:36:51 -0800

On 01/05/2009 07:46 AM, Arnd Bergmann wrote:
> On Sunday 28 December 2008, malc wrote:
>> Now to the Christmas cheer, i've tried v2.6.28 and couldn't help but
>> notice that the problem is gone, bisecting v2.6.27 (which funnily i
>> had to mark good) to v2.6.28 (which has to be marked bad) wasn't fun
>> but eventually converged at ab598b6680f1e74c267d1547ee352f3e1e530f89
>> 
>> commit ab598b6680f1e74c267d1547ee352f3e1e530f89
>> Author: Paul Mackerras <[email-masked]>
>> Date:   Sun Nov 30 11:49:45 2008 +0000
>> 
>>      powerpc: Fix system calls on Cell entered with XER.SO=1
>> 
>> Now the lock-up is gone, however the code never exercises the path
>> taken during the lock-up so i guess it, at least, deserves a better
>> look by PPC64 care takers.
> 
> 
> Yes, this change was suspected to help with Mono as well, not just
> Java, because both of them use their own syscall path rather than
> going through glibc. The reason why you see the lock-up in a different
> place is because the bug manifested in getting incorrect syscall
> return codes, which probably made mono go into a normally unused
> error handling case.

Just FYI, I looked into a problem of Mono that was reported during
its build.  During the build Mono itself is used, and it failed due
to lack of memory.  Mono kept using more and more memory until all
was consumed.  I didn't look at why, I just saw it with the Gnome
system monitor.

-Geoff